Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Sales with Payment Network Tokens


This section shows you how to successfully process a sale with payment network tokens.

Supported Processors

These processors and card types support authorizations with payment network tokens.

ProcessorCard Types
Chase Paymentech SolutionsVisa, Mastercard, American Express, Discover, Diners Club, JCB, Carte Blanche, Maestro (International)
Elavon AmericasVisa, Mastercard, American Express, JCB, Diners Club, Discover, China UnionPay
FDC Nashville GlobalMastercard and Visa
StreamlineVisa, Mastercard
Visa, Mastercard, American Express, Discover, JCB, Diners Club
Worldpay VAPVisa, Mastercard

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "orderInformation" : {    "billTo": {      "country": "US",      "lastName": "Kim",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "Smith",      "email": ""    },    "amountDetails" : {      "totalAmount" : "100",      "currency" : "USD"    }  },    "paymentInformation" : {    "tokenizedCard" : {      "expirationYear" : "2030",      "number" : "CARD_NUMBER",      "expirationMonth" : "12",      "transactionType" : "1",      "cryptogram" : "qE5juRwDzAUFBAkEHuWW9PiBkWv="    }  }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/6838294805206235603954/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6838294805206235603954"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/6838294805206235603954/captures"        }    },    "clientReferenceInformation": {        "code": "1683829480593"    },    "id": "6838294805206235603954",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "100.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "terminalId": "111111"    },    "processorInformation": {        "approvalCode": "888888",        "networkTransactionId": "123456789619999",        "transactionId": "123456789619999",        "responseCode": "100",        "avs": {            "code": "1"        }    },    "reconciliationId": "60332034UHI9PRJ0",    "status": "AUTHORIZED",    "submitTimeUtc": "2026-05-11T18:24:40Z"}

Required Fields

FieldDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
paymentInformation.tokenizedCard.cryptogram—
paymentInformation.tokenizedCard.expirationMonth—
paymentInformation.tokenizedCard.expirationYear—
paymentInformation.tokenizedCard.transactionType
This field is required for only Elavon Americas and .
processingInformation.captureSet the value to true.

Optional Fields

You can use these optional fields to include additional information when processing a sale with a payment network token.

Optional Fields
FieldDescription
clientReferenceInformation.code—
consumerAuthenticationInformation.cavvFor 3-D Secure in-app transactions for Visa and JCB, set this field to the 3-D Secure cryptogram. Otherwise, set to the network token cryptogram.
consumerAuthenticationInformation.ucafAuthenticationDataFor Mastercard requests using 3-D Secure, set this field to the Identity Check cryptogram.
consumerAuthenticationInformation.ucafCollectionIndicatorFor Mastercard requests using 3-D Secure, set the value to 2.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCodeRequired only for transactions in the US and Canada.
orderInformation.billTo.administrativeAreaRequired only for transactions in the US and Canada.
processingInformation.commerceIndicator—
paymentInformation.tokenizedCard.cardTypeIt is strongly recommended that you send the card type even if it is optional for your processor. Omitting the card type can cause the transaction to be processed with the wrong card type.
paymentInformation.tokenizedCard.cryptogram—
paymentInformation.tokenizedCard.expirationMonthSet to the token expiration month that you received from the token service provider.
paymentInformation.tokenizedCard.expirationYearSet to the token expiration year that you received from the token service provider.
paymentInformation.tokenizedCard.numberSet to the token value that you received from the token service provider.
paymentInformation.tokenizedCard.requestorId
Required on .
paymentInformation.tokenizedCard.transactionType—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.